utempter security update (SSA:2004-110-01)
Posted on: 04/20/2004 03:11 AM

An utempter security update has been released for Slackware Linux 9.1

New utempter packages are available for Slackware 9.1 and -current to fix a security issue. (Slackware 9.1 was the first version of Slackware to use the libutempter library, and earlier versions of Slackware are not affected by this issue)

The utempter package provides a utility and shared library that allows terminal applications such as xterm and screen to update /var/run/utmp and /var/log/wtmp without requiring root privileges. Steve Grubb has identified an issue with utempter-0.5.2 where under certain circumstances an attacker could cause it to overwrite files through a symlink. This has been addressed by upgrading the utempter package to use Dmitry V. Levin's new implementation of libutempter that does not have this bug.

More details about this issue may be found in the Common Vulnerabilities and Exposures (CVE) database:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0233

Here are the details from the Slackware 9.1 ChangeLog:
+--------------------------+
Mon Apr 19 13:51:01 PDT 2004
patches/packages/utempter-1.1.1-i486-1.tgz: Upgraded to libutempter-1.1.1 (this is a new version written by Dmitry V. Levin of ALT Linux). This upgrade fixes a low-level security issue in utempter-0.5.2 where utempter could possibly be tricked into writing through a symlink, and is a cleaner implementation all-around.

For more details, see:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0233
(* Security fix *)
+--------------------------+


WHERE TO FIND THE NEW PACKAGE:
+-----------------------------+

Updated package for Slackware 9.1:
ftp://ftp.slackware.com/pub/slackware/slackware-9.1/patches/packages/utempter-1.1.1-i486-1.tgz

Updated package for Slackware -current:
ftp://ftp.slackware.com/pub/slackware/slackware-current/slackware/l/utempter-1.1.1-i486-1.tgz


MD5 SIGNATURES:
+-------------+

Slackware 9.1 package:
839cd39cb90f31253d5bc4c028c28fe1 utempter-1.1.1-i486-1.tgz

Slackware -current package:
97ce776901ca9b20ffe916228a487729 utempter-1.1.1-i486-1.tgz


INSTALLATION INSTRUCTIONS:
+------------------------+

Upgrade the package as root:
# upgradepkg utempter-1.1.1-i486-1.tgz


+-----+

Slackware Linux Security Team
http://slackware.com/gpg-key
security@slackware.com


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/utempter_security_update_ssa2004_110_01.html)